GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions | Variables
jacobian.h File Reference

Wrapper for handling the network Jacobian matrix in GridFire. Currently uses Eigen's SparseMatrix. More...

`#include "fourdst/atomic/atomicSpecies.h"`
`#include "fourdst/composition/composition_abstract.h"`
`#include "quill/Logger.h"`
`#include <Eigen/SparseCore>`
`#include <tuple>`
`#include <functional>`
`#include <unordered_map>`
`#include <optional>`
Include dependency graph for jacobian.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | gridfire::engine::NetworkJacobian
| A wrapper class for handling the network Jacobian matrix. More...

## Namespaces
namespace | gridfire
namespace | gridfire::engine

## Typedefs
using | gridfire::engine::JacobianEntry = std::pair<std::pair<fourdst::atomic::Species, fourdst::atomic::Species>, double>
| Represents an entry in the Jacobian matrix.

## Functions
NetworkJacobian | gridfire::engine::regularize_jacobian (const NetworkJacobian &jacobian, const fourdst::composition::CompositionAbstract &comp, std::optional< quill::Logger * > logger=std::nullopt)
| Regularizes the given Jacobian matrix based on the provided composition.

## Variables
constexpr double | gridfire::engine::MIN_ABUNDANCE_TO_CONTRIBUTE_TO_JACOBIAN = 1e-100
| Minimum abundance for a species to contribute to the Jacobian.

## Detailed Description

Wrapper for handling the network Jacobian matrix in GridFire. Currently uses Eigen's SparseMatrix.